Bug 1566756 (CVE-2018-9918) - CVE-2018-9918 qpdf: stack exhaustion in QPDFObjectHandle and QPDF_Dictionary classes in libqpdf.a
Summary: CVE-2018-9918 qpdf: stack exhaustion in QPDFObjectHandle and QPDF_Dictionary ...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2018-9918
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1566757 1566758 1566759 1570850
Blocks: 1566760
TreeView+ depends on / blocked
 
Reported: 2018-04-12 23:23 UTC by Laura Pardo
Modified: 2019-09-29 14:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:19:54 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-04-12 23:23:35 UTC
A flaw was found in QPDF through 8.0.2. libqpdf.a mishandles certain "expected dictionary key but found non-name object" cases, allowing remote attackers to cause a denial of service (stack exhaustion), related to the QPDFObjectHandle and QPDF_Dictionary classes.


References:
https://github.com/qpdf/qpdf/issues/202

Comment 1 Laura Pardo 2018-04-12 23:24:05 UTC
Created qpdf tracking bugs for this issue:

Affects: fedora-all [bug 1566757]
Affects: epel-6 [bug 1566758]

Comment 6 Fedora Update System 2018-04-27 04:04:30 UTC
qpdf-7.1.1-5.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.